package com.bocloud.cmp.model.hmc.pcm;

public class PcmPartitionMemory {
    private Integer id; // Hmc分区id
    private String name;
    private String mode;
    private Double assignedMem;
    private Double configMem;
    private Double maxAssignedMem = 0.0;
    private Trend assignedTrend;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public Double getConfigMem() {
        return configMem;
    }

    public void setConfigMem(Double configMem) {
        this.configMem = Math.round(configMem * 1000) / 1000D;
    }

    public Double getAssignedMem() {
        return assignedMem;
    }

    public void setAssignedMem(Double assignedMem) {
        this.assignedMem = Math.round(assignedMem * 1000) / 1000D;
    }

    public Double getMaxAssignedMem() {
        return maxAssignedMem;
    }

    public void setMaxAssignedMem(Double maxAssignedMem) {
        this.maxAssignedMem = Math.round(maxAssignedMem * 1000) / 1000D;
    }

    public Trend getAssignedTrend() {
        return assignedTrend;
    }

    public void setAssignedTrend(Trend assignedTrend) {
        this.assignedTrend = assignedTrend;
    }
}
